## nagios-plugins-contrib 48.20250420

=== check_cups/Makefile ===
#/usr/bin/make -f

include ../common.mk

=== dsa/Makefile ===
#!/usr/bin/make -f

PLUGIN:=$(shell cd checks; ls -1 | sed 's,^dsa-,,;s,-,_,g')
CRONJOBS:=$(shell cd sbin; ls -1 dsa-update-* | sed 's,^dsa-,,')
INIFILES:=etc/obsolete-packages-ignore
DOCFILES:=$(wildcard *.cmd)

check_%:
	cp checks/dsa-`echo $@ | sed 's,_,-,g'` $@
	chmod 755 $@

update-%-status:
	cp sbin/dsa-$@ $@
	chmod 755 $@

CLEANFILES=$(PLUGIN) $(CRONJOBS)


include ../common.mk

install::
	install -d $(DESTDIR)$(INIDIR)/obsolete-packages-ignore.d
	install -m 755 -o root -g root sbin/dsa-wrap-nagios-check $(DESTDIR)/usr/lib/nagios/wrap-nagios-check

=== extras/Makefile ===
#!/usr/bin/make -f

DM_DIR=/usr/share/icinga/plugins/eventhandlers/distributed-monitoring/
MULTI_DIR=/etc/check_multi

all:
	#nothing to do.

install:
	install -d $(DESTDIR)$(MULTI_DIR)
	install -m 644 -o root -g root check_apt.cmd $(DESTDIR)$(MULTI_DIR)
	install -d $(DESTDIR)$(DM_DIR)
	install -m 755 -o root -g root send_nsca_host_or_service_check_result $(DESTDIR)$(DM_DIR)

clean:
	# nothing to do.

=== debian/changelog ===
nagios-plugins-contrib (48.20250420) unstable; urgency=medium

  * [fbd1c3e] Adding dsa-wrap-nagios-check (Closes: #1053155)
  * [094a997] Auto-update debian/copyright
  * [eb517b9] Auto-update debian/control

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Apr 2025 21:08:25 +0000

nagios-plugins-contrib (47.20250420) unstable; urgency=medium

  [ Evgeni Golov ]
  * [8a9233b] check_libs_ng: catch FileNotFoundErrors when trying to read the
    map files (Closes: #1070073)
  * [9416e7f] check_libs_ng: use iglob instead of glob

  [ Jan Wagner ]
  * [ed21d22] check_ssl_cert: Update to 2.82.0

  [ Bas Couwenberg ]
  * [316e815] Bump Standards-Version to 4.7.0, no changes.
  * [6924874] Add patch to fix check_running_kernel on riscv64 with vmlinux
    images. (closes: #1096198)
  * [072def6] Auto update of debian/copyright
  * [5f7611d] Bump Standards-Version to 4.7.2, no changes.
  * [bd11afa] Fix old FSF address in copyright file.

  [ Jan Wagner ]
  * [b9015b6] check_rbl: Update to 1.7.7
  * [709eb0b] check_rbl: Remove useless source code of version 1.7.2
  * [448ef4f] Refresh d/p/check_rbl/additional_rbls
  * [00b764b] Adding d/p/check_rbl/fix_pod fixing encoding issues
  * [72eb2f0] check_ssl_cert: Update to 2.92.0
  * [463396b] Update check-cert-expire-dir, check-packages, update-apt-status and
    update-unowned-file-status from dsa upstream
  * [8619dd8] Adding d/p/check_nfsmounts/perfdata fixing perfdata
    (Closes: #1101154)
  * [20a93f3] nagios-plugins-linux: Update to v34

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Apr 2025 21:02:26 +0200

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               dh-python,
               dh-sequence-python3,
               python3:any, python3-debian:native,
               quilt (>= 0.46-7),
               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/nagios-team/nagios-plugins-contrib.git
Vcs-Browser: https://salsa.debian.org/nagios-team/nagios-plugins-contrib
Rules-Requires-Root: binary-targets

Package: monitoring-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libcapture-tiny-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, bc, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, lz4, lzop,
            ${perl:Depends},
            ${python3:Depends},
            ${shlibs:Depends}
Provides: nagios-plugins-contrib
Replaces: nagios-plugins-contrib (<< 26)
Breaks: nagios-plugins-contrib (<< 26)
Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, iproute2, dnsutils, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
Enhances: monitoring-plugins, monitoring-plugins-basic, monitoring-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_chrony (0.1): chrony NTP server check
     This plugin is able to check the stratum time difference of a local
     chronyd instance.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_debsecan (1.0.0): plugin to check the Debian CVE lists against your installed packages
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (1.1): plugin to check the HAProxy statistics url
   * check_haproxy_stats (1.1.3): check haproxy via admin socket
     Different from check_haproxy this plugin is able to check
     haproxy via the unix admin socket.
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.9): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev204): plugin checking Apache or lighttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.14): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
      depents on kernel features present in kernels newer than 3.3
   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
   * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_mongodb (1b54df0): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.4.12): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.2.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_printer_health (1.1.0.2): plugin which checks the health of snmp-enabled printers
   * check_raid (4.0.9): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
     - Detecting SCSI devices or hosts with lsscsi
   * check_rbl (1.7.7): plugin to check if a server is blacklisted
   * check_redis (0.73): Redis Server check plugin
     This plugin checks Redis NoSQL database status variables,
     measures its response time and if specified allows one to set thresholds
     on one or more key data. You can set thresholds for data in stats
     variables and some of them are also conveniently available as long options
     with special threshold syntax. Plugin also calculates statistics such as
     Hitrate (calculated as rate of change of hits/misses) and memory use and
     can check replication delay.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (2.92.0): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.24): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
     signatures in dnssec-enabled zones.

## nagios-plugins-contrib 48.20250420ubuntu1

=== debian/changelog ===
nagios-plugins-contrib (48.20250420ubuntu1) questing; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Aug 2025 14:54:35 +0000

## nagios-plugins-contrib 48.20250420ubuntu2

=== check_backuppc/Makefile ===
#/usr/bin/make -f

PLUGIN = check_backuppc
MANPAGES = src/check_backuppc.8
DOCFILES = src/README
NAGIOS_LIB = /usr/lib/nagios/plugins
BACKUPPC_LIB = /usr/share/backuppc/lib
CLEANFILES = $(PLUGIN)

include ../common.mk

$(PLUGIN):
	sed -e "s|NAGIOS_LIB|$(NAGIOS_LIB)|g" -e \
		"s|BACKUPPC_LIB|${BACKUPPC_LIB}|g" src/check_backuppc > $@

=== check_bgpstate/Makefile ===
#/usr/bin/make -f

include ../common.mk

=== check_debsecan/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_debsecan
DOCFILES = src/README.md

include ../common.mk

=== check_haproxy_stats/Makefile ===
#/usr/bin/make -f

PLUGIN := check_haproxy_stats
CLEANEXTRAFILES := $(PLUGIN)


include ../common.mk

check_haproxy_stats: check_haproxy_stats.pl
	cp $< $@

=== check_mongodb/Makefile ===
PLUGIN := check_mongodb
CLEANFILES := check_mongodb
DOCFILES := README.md

include ../common.mk

check_mongodb:
	cp $@.py $@
	chmod 755 $@

install::
	install -d $(DESTDIR)$(PLUGINDIR)
	ln -s $(PLUGINDIR)/$(PLUGIN) $(DESTDIR)$(PLUGINDIR)/$(PLUGIN).py

=== check_printer_health/Makefile ===
PLUGIN := check_printer_health
CLEANFILES := check_printer_health

include ../common.mk

check_printer_health:
	set -e; for i in guess sub; do if [ ! -e src/config.$$i.bak ]; then cp src/config.$$i src/config.$$i.bak; fi; done
	cp /usr/share/misc/config.* src
	cd src && ./configure --prefix=/usr --enable-perfdata --enable-extendedinfo --with-nagios-user=nagios --with-nagios-group=nagios --with-degrees=celsius
	make -C src
	sed -i '/#.*nagios: .epn/d' src/plugins-scripts/check_printer_health
	sed '2s,^,# nagios: -epn\n,' src/plugins-scripts/check_printer_health > $@

clean::
	[ ! -f src/Makefile ] || make -C src distclean
	set -e; for i in guess sub; do if [ -e src/config.$$i.bak ]; then mv src/config.$$i.bak src/config.$$i; fi; done

=== check_redis/Makefile ===
PLUGIN := check_redis
CLEANEXTRAFILES := $(PLUGIN)
PNP4NAGIOSTEMPLATES := check_redis.php

include ../common.mk

check_redis: check_redis.pl
	cp $< $@

=== check_ssl_cert/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_ssl_cert
MANPAGES = src/check_ssl_cert.1
DOCFILES = src/README.md

include ../common.mk

=== madrisan-nagios-plugins-linux/Makefile ===

PD = nagios-plugins-linux

PLUGINS += check_clock
PLUGINS += check_cpu
PLUGINS += check_cpufreq
PLUGINS += check_cswch
PLUGINS += check_fc
PLUGINS += check_ifmountfs
PLUGINS += check_intr
PLUGINS += check_iowait
PLUGINS += check_memory
PLUGINS += check_nbprocs
PLUGINS += check_network
PLUGINS += check_network_collisions
PLUGINS += check_network_dropped
PLUGINS += check_network_errors
PLUGINS += check_network_multicast
PLUGINS += check_paging
PLUGINS += check_pressure
PLUGINS += check_readonlyfs
PLUGINS += check_tcpcount
PLUGINS += check_temperature

PLUGINS_RENAME += check_load
PLUGINS_RENAME += check_multipath
PLUGINS_RENAME += check_swap
PLUGINS_RENAME += check_uptime
PLUGINS_RENAME += check_users

all:
	cd ${PD} && dh_autoreconf
	mkdir build-tree
	cd build-tree && \
	  ../${PD}/configure --prefix=/usr --libexecdir=/usr/lib/nagios/plugins && \
	  $(MAKE)

install:
	install -d $(DESTDIR)/usr/lib/nagios
	for check in $(PLUGINS); do \
	  if [ -h build-tree/plugins/$${check} ]; then \
	    ln -s $$(readlink build-tree/plugins/$${check}) ${DESTDIR}/usr/lib/nagios/plugins/$${check} || exit 1; \
	  else \
	    install -m 755 -o root -g root build-tree/plugins/$${check} ${DESTDIR}/usr/lib/nagios/plugins || exit 1; \
	  fi; \
	done; true

	for check in $(PLUGINS_RENAME); do \
		install -m 755 -o root -g root build-tree/plugins/$${check} ${DESTDIR}/usr/lib/nagios/plugins/check_madrisan_$${check#check_} || exit 1; \
	done; true

clean:
	rm -rf build-tree

=== percona-nagios-plugins/Makefile ===
#/usr/bin/make -f

PLUGIN = $(wildcard nagios/bin/*)
MANPAGES = $(shell find nagios/bin -type f -printf '%f\n' | sed 's,$$,.7,')
CLEANFILES = $(MANPAGES)

include ../common.mk


%.7: $(PLUGIN)
	pod2man -s 7 $< > $@

=== check_ssl_cert/check_ssl_cert_2.92.0/Makefile ===
# Wrapper for make which do not support ifdef
#
# See: https://stackoverflow.com/questions/45342191/the-make-on-freebsd-doesnt-support-ifdef-directives
#

GNUMAKE?= gmake

all:
	${GNUMAKE} $@

.DEFAULT:
	${GNUMAKE} $@

.PHONY: all test install

=== debian/changelog ===
nagios-plugins-contrib (48.20250420ubuntu2) questing; urgency=medium

  * d/p/check_ssl_cert/rust_coreutils_date: change GNU date check to also allow
    for the rust-coreutils variant (LP: #2125058)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Sep 2025 17:54:59 -0300

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/changelog ===
nagios-plugins-linux (34-1) stable; urgency=low
  * Release 34 "Heatwaves":
     - New plugin check_selinux that checks if SELinux is enabled
     - check_ifmount: add the cmdline switch -l|--list to list the mounted filesystems
     - lib/container: docker API versions before v1.24 are deprecated, so 1.24 is set as the minimum version required
     - lib/sysfsparser: fix gcc warning: crit_temp may be used uninitialized
     - lib/sysfsparser: better signature for function sysfsparser_getvalue
     - Minor fixes

nagios-plugins-linux (33-1) stable; urgency=low
  * Release 33 "Śmigus-Dyngus":
     - Podman 3.0+ API support in check_container and fixes
     - build: rename --with-systemd to --enable-systemd
     - fix: remove comma from perfdata in check_memory
     - fix build with --enable-libprocps
     - tests: fix tests on 32-bit architectures

 -- Davide Madrisan <d.madrisan@proton.me>  Mon,  1 Apr 2024 23:00:54 +0200

nagios-plugins-linux (32-1) stable; urgency=low
  * Release 32 "Gematria":
     - Fixes in check_network, check_users, and check_cpufreq

 -- Davide Madrisan <davide.madrisan@gmail.com>  Thu, 25 Jan 2024 22:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -197,5 +198,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
-     signatures in dnssec-enabled zones.

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/control ===
Source: nagios-plugins-linux
Section: net
Priority: optional
Maintainer: Davide Madrisan <davide.madrisan@gmail.com>
Build-Depends: autotools-dev,
               debhelper (>= 10),
               libcurl4-gnutls-dev,
               make (>= 3.81),
               pkg-config
Homepage: https://github.com/madrisan/nagios-plugins-linux
Standards-Version: 4.3.0

Package: nagios-plugins-linux
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-clock,
         nagios-plugins-linux-cpufreq,
         nagios-plugins-linux-cpu,
         nagios-plugins-linux-cswch,
         nagios-plugins-linux-fc,
         nagios-plugins-linux-ifmountfs,
         nagios-plugins-linux-intr,
         nagios-plugins-linux-iowait,
         nagios-plugins-linux-load,
         nagios-plugins-linux-memory,
         nagios-plugins-linux-multipath,
         nagios-plugins-linux-nbprocs,
         nagios-plugins-linux-network,
         nagios-plugins-linux-paging,
         nagios-plugins-linux-pressure,
         nagios-plugins-linux-readonlyfs,
         nagios-plugins-linux-selinux,
         nagios-plugins-linux-swap,
         nagios-plugins-linux-tcpcount,
         nagios-plugins-linux-temperature,
         nagios-plugins-linux-uptime,
         nagios-plugins-linux-users
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_clock, check_cpufreq, check_cpu, check_cswch, check_fc, check_ifmountfs,
  check_intr, check_iowait, check_load, check_memory, check_multipath,
  check_nbprocs, check_network, check_paging, check_pressure, check_readonlyfs,
  check_selinux, check_swap, check_tcpcount, check_temperature, check_uptime,
  check_users
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central monitoring host.

Package: nagios-plugins-linux-experimental
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-container
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 Experimental plugins for nagios compatible monitoring systems like Naemon and
 Icinga. It contains the following plugins:
 .
  check_container
 .
 This package provides some experimental plugins that are most likely to be
 useful on a central monitoring host.

Package: nagios-plugins-linux-clock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin returns the number of seconds elapsed between local time and
 central monitoring host time.

Package: nagios-plugins-linux-cpu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the CPU (user mode) utilization.

Package: nagios-plugins-linux-cpufreq
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the CPU frequency characteristics.

Package: nagios-plugins-linux-cswch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the total number of context switches per second across all CPUs.

Package: nagios-plugins-linux-container
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin performs basic monitoring for docker and podman containers.

Package: nagios-plugins-linux-fc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the status of the fiber status ports.

Package: nagios-plugins-linux-ifmountfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks whether the given filesystems are mounted.

Package: nagios-plugins-linux-intr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the interrupts serviced per second, including unnumbered
 architecture specific interrupts.

Package: nagios-plugins-linux-iowait
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-cpu
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the I/O wait bottlenecks.

Package: nagios-plugins-linux-load
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the current system load average.

Package: nagios-plugins-linux-memory
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the memory usage.

Package: nagios-plugins-linux-multipath
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the multipath topology status.

Package: nagios-plugins-linux-nbprocs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the number of running processes per user.

Package: nagios-plugins-linux-network
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays some network interfaces statistics.

Package: nagios-plugins-linux-paging
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the memory and swap paging.

Package: nagios-plugins-linux-pressure
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the Linux Pressure Stall Information (PSI) data.

Package: nagios-plugins-linux-readonlyfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks for readonly filesystems.

Package: nagios-plugins-linux-selinux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks is SELinux is enabled.

Package: nagios-plugins-linux-swap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the swap usage.

Package: nagios-plugins-linux-tcpcount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the tcp network usage.

Package: nagios-plugins-linux-temperature
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the hardware's temperature.

Package: nagios-plugins-linux-uptime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks how long the system has been running.

Package: nagios-plugins-linux-users
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the number of users that are currently logged on.

## nagios-plugins-contrib 48.20250420ubuntu3

=== debian/changelog ===
nagios-plugins-contrib (48.20250420ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:35:23 +0100
